# $Revision: 1.47 $, $Date: 2001/11/02 17:33:09 $
#
# _with_pcd - with Kodak PhotoCD support
Summary:	console viewer for many graphics formats
Summary(de):	Konsolenbetrachter fr viele Grafikformate
Summary(es):	Visualizador para muchos formatos de grficos (consola)
Summary(fr):	Visualiseur d'image en mode console, pour de nombreux formats graphiques
Summary(pl):	Konsolowa przegldarka obrazkw w rnych formatach
Summary(pt_BR):	Visualizador para muitos formatos de grficos (console)
Summary(tr):	Birok resim formatn grntleyebilen konsol arac
Name:		zgv
Version:	5.5
Release:	2
License:	GPL
Group:		Applications/Graphics
Group(de):	Applikationen/Grafik
Group(pl):	Aplikacje/Grafika
Source0:	ftp://metalab.unc.edu/pub/Linux/apps/graphics/viewers/svga/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-Dkey.patch
BuildRequires:	gawk
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libpng >= 1.0.8
BuildRequires:	svgalib-devel
BuildRequires:	texinfo
BuildRequires:	zlib-devel
%{?_with_pcd:BuildRequires: libpcd-devel}
Requires:	/usr/X11R6/lib/X11/rgb.txt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Exclusivearch:	%{ix86} alpha

%description
Zgv is a picture viewer capable of displaying GIF files as defined by
CompuServe, with the exceptions listed in the RESTRICTIONS section. It
is also capable of displaying JPEG/JFIF files using the Independant
JPEG Group's JPEG software, PBM/PGM/PPM files as used by pbmplus and
netpbm, Microsoft Windows and OS/2 BMP files, Targa (TGA) and TIFF
files, the new PNG format%{?_with_pcd: and PhotoCD}.

%description -l de
zgv ist ein Bild-Viewer, der GIF-Dateien nach der
CompuServe-Definition anzeigen kann, abgesehen von den Ausnahmen im
Teil RESTRICTIONS. Ferner kann er JPEG/JFIF-Dateien unter Verwendung
der JPEG-Software der unabhngigen JPEG-Group, PBM/PGM/PPM-Dateien wie
sie pbmplus und netpbm benutzen, sowie Microsoft Windows und OS/2
BMB-Dateien, Targa (TGA) und das neue PNG-Format anzeigen.

%description -l es
Zgv es un visualizador de imgenes capaz de ensear archivos tipo
"GIF" como las definidas por la CompuServe. Tambin es capaz de
ensear archivos JPEG/JFIF usando "Independant JPEG Group JPEG
software", archivos PBM/PGM/PPM como los usados por la pbmplus y
netpbm, archivos Microsoft Windows y OS/2 BMP, archivos Targa (TGA), y
el nuevo formato PNG.

%description -l fr
Zgv est un visualisateur de fichiers GIF tels que ceux qui sont
dfinis par CompuServe, avec les exceptions listes dans la section
RESTRICTIONS. Il peut aussi afficher les fichiers JPEG/JTIF utiliss
par le logiciel JPEG de l'Independant JPEG Group, les fichiers
PBM/PGM/PPM utiliss par pbmplus et netpbm, les fichiers BMP de
Microsoft Windows et OS/2, les fichiers Targa (TGA) et le nouveau
format PNG.

%description -l pl
Zgv potrafi wywietla obrazki w formacie CompuServe GIF (z wyjtkami
opisanymi w rozdziale RESTRICTIONS), JPEG/JFIF, PBM/PGM/PPM, BMP (z
Microsoft Windows i OS/2), Targa (TGA), TIFF, PNG%{?_with_pcd: i PhotoCD}.

%description -l pt_BR
Zgv  um visualizador de imagens capaz de mostrar arquivos tipo "GIF"
como as definidas pela CompuServe. Ele tambm  capaz de mostrar
arquivos JPEG/JFIF usando o "Independent JPEG Group JPEG software",
arquivos PBM/PGM/PPM como os usados pela pbmplus e netpbm, arquivos
Microsoft Windows e OS/2 BMP, arquivos Targa (TGA), e o novo formato
PNG.

%description -l tr
Zgv, konsol ortamndan CompuServe'in GIF format (RESTRICTIONS ile
belirtilenler dnda), JPEG/JFIF, PGM/PBM/PPM, Bitmap (BMP), Targa
(TGA) ve yeni PNG formatlarndaki resimleri grntleyebilmektedir.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%if %{?_with_pcd:1}%{!?_with_pcd:0}
sed -e 's@#\(PCDDEF=.*\)@\1@' config.mk > config.mk.new
mv -f config.mk.new config.mk
%endif

%build
%{__make} all OPTFLAGS="%{rpmcflags}" \
	INCDIRS="-I%{_includedir}" \
	RGB_DB="%{_prefix}/X11R6/lib/X11/rgb.txt"

%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/man1 \
	INFODIR=%{_infodir}

install doc/sample.zgvrc $RPM_BUILD_ROOT%{_sysconfdir}/zgv.conf

gzip -9nf AUTHORS ChangeLog NEWS README* TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc *.gz
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/zgv.conf
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
%{_infodir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: zgv.spec,v $
Revision 1.47  2001/11/02 17:33:09  undefine
- small, but usefull patch. Now when you delete file, cursor moves down.
- release++

Revision 1.46  2001/10/10 20:09:58  qboosh
- updated to 5.5, removed bmp-fixes patch (already in sources)

Revision 1.45  2001/10/03 19:50:45  qboosh
- replaced bmp4-rle-bug patch by bmp-fixes patch from the author
  (contains more fixes, including boundary checking)
- release 3

Revision 1.44  2001/09/29 08:21:54  qboosh
- added fix for bug in RLE4 bmp decoding (SEGV on lilo-pldblack.bmp)
- release 2

Revision 1.43  2001/08/03 16:46:17  qboosh
- BuildRequires: libtiff-devel

Revision 1.42  2001/07/26 05:42:27  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.40  2001/07/16 01:02:51  kloczek
- updated to 5.4,
- removed tifftopnm obsoleted patch,
- updated info and Destdir patches,
- added texinfo to BuildRequires,
- added /usr/X11R6/lib/X11/rgb.txt to Requires (probly it will be good move
  this file to XFree86-libs).

Revision 1.39  2001/07/16 00:11:45  qboosh
- use sample.zgvrc as /etc/zgv.conf: it doesn't contain any non-default settings
  and has some comments - it's good as default global configuration file
- release 4

Revision 1.38  2001/06/14 20:04:53  qboosh
- added fix for big-endian TIFFs to tifftopnm patch
- release 3

Revision 1.37  2001/06/14 16:09:15  qboosh
- tifftopnm patch: fix TIFF support (through tifftopnm program)
- confitional PhotoCD support (requires seldom used libpcd (from xpcd))
- fixed DESTDIR patch: don't strip on make install (let rpm do if not %%debug)
- release 2

Revision 1.36  2001/04/30 16:05:33  kloczek
- added using %%{rpmcflags} macro.

Revision 1.35  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.34  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.33  2000/11/04 15:04:18  kloczek
- updated to 5.2.

Revision 1.32  2000/11/04 14:34:19  kloczek
- release 4: use new rpm automation.

Revision 1.31  2000/09/11 12:51:30  zagrodzki
- release 3
- adapterized
- buildreq: gawk

Revision 1.30  2000/07/28 13:59:27  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.29  2000/07/23 15:04:41  kloczek
- updated to 1.5.

Revision 1.28  2000/07/03 21:32:50  kloczek
- changed permission on executables to 755.

Revision 1.27  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.25  2000/05/21 16:53:31  kloczek
- spec adapterized.

Revision 1.24  2000/05/01 20:11:43  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.23  2000/04/29 16:17:40  bonkey
- updated to 5.0
- url changed
- overflow patch deprecated

Revision 1.22  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.20  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.19  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.18  1999/08/05 13:31:10  baggins
- update to 3.3

Revision 1.17  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.16  1999/07/12 23:06:29  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 31 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.2-4]
- fixed overflow security bug in zgv (patch by <elephant@szczecin.top.pl>).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [3.2-3]
- package is FHS 2.0 compliant,
- spec file based on RH version; rewritten for PLD use by me, 
  Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  and Marcin 'Qrczak' Kowalczyk <qrczak@knm.org.pl>.
